Partner Login

  
 

Heartbleed Bug - April 15, 2014

Our system and its servers were not/are not vulnerable to the heartbleed bug that has been recently reported as we do not use OpenSSL for our secure communications.

If you have further concerns or questions about the heartbleed bug, you can read more about it at http://www.heartbleed.com/